﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            Session["data"] = MakeTable();
            HiddenSorting.Value = "0";
        }
        else
        { 
            string str = Page.Request.Params["__EVENTTARGET"];
            if(str.StartsWith("WebDataGrid1"))
            {
               string column = str.Substring(13);

            }
        }

        WebDataGrid1.DataSource = Session["data"];
    }

    private DataTable MakeTable()
    {
        // Create a new DataTable.
        System.Data.DataTable table = new DataTable("Table");
        // Declare variables for DataColumn and DataRow objects.
        DataColumn column;
        DataRow row;

        // Create new DataColumn, set DataType, 
        // ColumnName and add to DataTable.    
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int32");
        column.ColumnName = "id";
        column.ReadOnly = true;
        // Add the Column to the DataColumnCollection.
        table.Columns.Add(column);

        // Create third column.
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.String");
        column.ColumnName = "Data";
        column.AutoIncrement = false;
        column.Caption = "Data";
        column.ReadOnly = false;
        column.Unique = false;
        // Add the column to the table.
        table.Columns.Add(column);


        // Make the ID column the primary key column.
        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = table.Columns["id"];
        table.PrimaryKey = PrimaryKeyColumns;


        Random rnd = new Random();
        for (int i = 0; i <= 5; i++)
        {
            row = table.NewRow();
            row["id"] = i;
            row["Data"] = "Data " + rnd.Next(1, 1000);
            table.Rows.Add(row);
        }
        return table;

    }

    protected void WebDataGrid1_ColumnSorted(object sender, Infragistics.Web.UI.GridControls.SortingEventArgs e)
    {
        if (e.Column.Key == "Template")
        {
            e.SortedColumns.Clear();
            if (HiddenSorting.Value == "1")
            {
                e.SortedColumns.Add(WebDataGrid1.Columns["Data"], Infragistics.Web.UI.SortDirection.Ascending);
            }
            else
            {
                e.SortedColumns.Add(WebDataGrid1.Columns["Data"], Infragistics.Web.UI.SortDirection.Descending);
       
            }
        }
    }
    protected void WebDataGrid1_InitializeRow(object sender, Infragistics.Web.UI.GridControls.RowEventArgs e)
    {
        LinkButton button = (LinkButton)e.Row.Items.FindItemByKey("Template").FindControl("LinkButton1");
    }
}